| libpgf 7.21.2 PGF - Progressive Graphics File

Public Member Functions | Public Attributes | List of all members
PGFHeader Struct Reference

PGF header. More...

`#include <PGFtypes.h>`

## Public Member Functions
| PGFHeader ()

## Public Attributes
UINT32 | width
| image width in pixels More...
UINT32 | height
| image height in pixels More...
UINT8 | nLevels
| number of FWT transforms More...
UINT8 | quality
| quantization parameter: 0=lossless, 4=standard, 6=poor quality More...
UINT8 | bpp
| bits per pixel More...
UINT8 | channels
| number of channels More...
UINT8 | mode
| image mode according to Adobe's image modes More...
UINT8 | usedBitsPerChannel
| number of used bits per channel in 16- and 32-bit per channel modes More...
PGFVersionNumber | version
| codec version number: (since Version 7) More...

## Detailed Description

PGF header.

PGF header contains image information

Author
  C. Stamm

Definition at line 150 of file PGFtypes.h.

## Constructor & Destructor Documentation

## ◆ PGFHeader()

PGFHeader::PGFHeader | ( |  | ) |
| inline

Definition at line 151 of file PGFtypes.h.

151 : width(0), height(0), nLevels(0), quality(0), bpp(0), channels(0), mode(ImageModeUnknown), usedBitsPerChannel(0), version(0, 0, 0) {}
PGFHeader::mode
UINT8 mode
image mode according to Adobe's image modes
Definition: PGFtypes.h:158
PGFHeader::width
UINT32 width
image width in pixels
Definition: PGFtypes.h:152
PGFHeader::nLevels
UINT8 nLevels
number of FWT transforms
Definition: PGFtypes.h:154
PGFHeader::usedBitsPerChannel
UINT8 usedBitsPerChannel
number of used bits per channel in 16- and 32-bit per channel modes
Definition: PGFtypes.h:159
PGFHeader::bpp
UINT8 bpp
bits per pixel
Definition: PGFtypes.h:156
ImageModeUnknown
#define ImageModeUnknown
Definition: PGFplatform.h:119
PGFHeader::channels
UINT8 channels
number of channels
Definition: PGFtypes.h:157
PGFHeader::version
PGFVersionNumber version
codec version number: (since Version 7)
Definition: PGFtypes.h:160
PGFHeader::quality
UINT8 quality
quantization parameter: 0=lossless, 4=standard, 6=poor quality
Definition: PGFtypes.h:155
PGFHeader::height
UINT32 height
image height in pixels
Definition: PGFtypes.h:153

## Member Data Documentation

## ◆ bpp

UINT8 PGFHeader::bpp

bits per pixel

Definition at line 156 of file PGFtypes.h.

## ◆ channels

UINT8 PGFHeader::channels

number of channels

Definition at line 157 of file PGFtypes.h.

## ◆ height

UINT32 PGFHeader::height

image height in pixels

Definition at line 153 of file PGFtypes.h.

## ◆ mode

UINT8 PGFHeader::mode

image mode according to Adobe's image modes

Definition at line 158 of file PGFtypes.h.

## ◆ nLevels

UINT8 PGFHeader::nLevels

number of FWT transforms

Definition at line 154 of file PGFtypes.h.

## ◆ quality

UINT8 PGFHeader::quality

quantization parameter: 0=lossless, 4=standard, 6=poor quality

Definition at line 155 of file PGFtypes.h.

## ◆ usedBitsPerChannel

UINT8 PGFHeader::usedBitsPerChannel

number of used bits per channel in 16- and 32-bit per channel modes

Definition at line 159 of file PGFtypes.h.

## ◆ version

PGFVersionNumber PGFHeader::version

codec version number: (since Version 7)

Definition at line 160 of file PGFtypes.h.

## ◆ width

UINT32 PGFHeader::width

image width in pixels

Definition at line 152 of file PGFtypes.h.

The documentation for this struct was generated from the following file:

- PGFtypes.h